Data Lineage API

Service: datalineage.googleapis.com

To call this service, we recommend that you use the Google-provided client libraries. If your application needs to use your own libraries to call this service, use the following information when you make the API requests.

Discovery document

A Discovery Document is a machine-readable specification for describing and consuming REST APIs. It is used to build client libraries, IDE plugins, and other tools that interact with Google APIs. One service may provide multiple discovery documents. This service provides the following discovery document:

Service endpoint

A service endpoint is a base URL that specifies the network address of an API service. One service might have multiple service endpoints. This service has the following service endpoint and all URIs below are relative to this service endpoint:

  • https://datalineage.googleapis.com

Regional service endpoint

A regional service endpoint is a base URL that specifies the network address of an API service in a single region. A service that is available in multiple regions might have multiple regional endpoints. Select a location to see its regional service endpoint for this service.


  • https://datalineage.googleapis.com
  • REST Resource: v1.folders.locations.config

    Methods
    get GET /v1/{name}
    Get the Config for a given resource.
    patch PATCH /v1/{config.name}
    Update the Config for a given resource.

    REST Resource: v1.organizations.locations.config

    Methods
    get GET /v1/{name}
    Get the Config for a given resource.
    patch PATCH /v1/{config.name}
    Update the Config for a given resource.

    REST Resource: v1.projects.locations

    Methods
    batchSearchLinkProcesses POST /v1/{parent}:batchSearchLinkProcesses
    Retrieve information about LineageProcesses associated with specific links.
    processOpenLineageRunEvent POST /v1/{parent}:processOpenLineageRunEvent
    Creates new lineage events together with their parents: process and run.
    searchLineageStreaming POST /v1/{parent}:searchLineageStreaming
    Retrieves a streaming response of lineage links connected to the requested assets by performing a breadth-first search in the given direction.
    searchLinks POST /v1/{parent}:searchLinks
    Retrieve a list of links connected to a specific asset.

    REST Resource: v1.projects.locations.config

    Methods
    get GET /v1/{name}
    Get the Config for a given resource.
    patch PATCH /v1/{config.name}
    Update the Config for a given resource.

    REST Resource: v1.projects.locations.operations

    Methods
    cancel POST /v1/{name}:cancel
    Starts asynchronous cancellation on a long-running operation.
    delete DELETE /v1/{name}
    Deletes a long-running operation.
    get GET /v1/{name}
    Gets the latest state of a long-running operation.
    list GET /v1/{name}/operations
    Lists operations that match the specified filter in the request.

    REST Resource: v1.projects.locations.processes

    Methods
    create POST /v1/{parent}/processes
    Creates a new process.
    delete DELETE /v1/{name}
    Deletes the process with the specified name.
    get GET /v1/{name}
    Gets the details of the specified process.
    list GET /v1/{parent}/processes
    List processes in the given project and location.
    patch PATCH /v1/{process.name}
    Updates a process.

    REST Resource: v1.projects.locations.processes.runs

    Methods
    create POST /v1/{parent}/runs
    Creates a new run.
    delete DELETE /v1/{name}
    Deletes the run with the specified name.
    get GET /v1/{name}
    Gets the details of the specified run.
    list GET /v1/{parent}/runs
    Lists runs in the given project and location.
    patch PATCH /v1/{run.name}
    Updates a run.

    REST Resource: v1.projects.locations.processes.runs.lineageEvents

    Methods
    create POST /v1/{parent}/lineageEvents
    Creates a new lineage event.
    delete DELETE /v1/{name}
    Deletes the lineage event with the specified name.
    get GET /v1/{name}
    Gets details of a specified lineage event.
    list GET /v1/{parent}/lineageEvents
    Lists lineage events in the given project and location.